package net.yyc12345.teyvatcraft.mixin;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

import net.minecraft.block.BlockState;
import net.minecraft.world.gen.stateprovider.ForestFlowerBlockStateProvider;

@Mixin(ForestFlowerBlockStateProvider.class)
public interface FlowerForestAccess {
    @Accessor("FLOWERS")
    static BlockState[] getFlowers() {
        throw new AssertionError();
    }

    @Accessor("FLOWERS")
    static void setFlowers(BlockState[] items) {
        throw new AssertionError();
    }
}
